POST api/UpdateApartment
Request Information
URI Parameters
None.
Body Parameters
tbl_projectApartment| Name | Description | Type | Additional information |
|---|---|---|---|
| apartment_id | integer |
None. |
|
| project_id | integer |
None. |
|
| bhk | integer |
None. |
|
| area_sqft | decimal number |
None. |
|
| price | decimal number |
None. |
|
| available | boolean |
None. |
|
| floor_number | integer |
None. |
|
| facing_direction | string |
None. |
|
| total_rooms | integer |
None. |
|
| total_bathrooms | integer |
None. |
|
| balcony_available | boolean |
None. |
|
| parking_available | boolean |
None. |
|
| images | string |
None. |
|
| No_of_Floors | integer |
None. |
|
| Area | string |
None. |
|
| AreaUnit | string |
None. |
|
| PriceMin | string |
None. |
|
| PriceMax | string |
None. |
|
| LayoutImg | string |
None. |
|
| balcony | integer |
None. |
|
| videos | string |
None. |
|
| youtubeVideo | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"apartment_id": 1,
"project_id": 1,
"bhk": 1,
"area_sqft": 1.0,
"price": 1.0,
"available": true,
"floor_number": 1,
"facing_direction": "sample string 2",
"total_rooms": 1,
"total_bathrooms": 1,
"balcony_available": true,
"parking_available": true,
"images": "sample string 3",
"No_of_Floors": 1,
"Area": "sample string 4",
"AreaUnit": "sample string 5",
"PriceMin": "sample string 6",
"PriceMax": "sample string 7",
"LayoutImg": "sample string 8",
"balcony": 1,
"videos": "sample string 9",
"youtubeVideo": "sample string 10"
}
application/xml, text/xml
Sample:
<tbl_projectApartment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RentoAPI_New.EntityModels"> <Area>sample string 4</Area> <AreaUnit>sample string 5</AreaUnit> <LayoutImg>sample string 8</LayoutImg> <No_of_Floors>1</No_of_Floors> <PriceMax>sample string 7</PriceMax> <PriceMin>sample string 6</PriceMin> <apartment_id>1</apartment_id> <area_sqft>1</area_sqft> <available>true</available> <balcony>1</balcony> <balcony_available>true</balcony_available> <bhk>1</bhk> <facing_direction>sample string 2</facing_direction> <floor_number>1</floor_number> <images>sample string 3</images> <parking_available>true</parking_available> <price>1</price> <project_id>1</project_id> <total_bathrooms>1</total_bathrooms> <total_rooms>1</total_rooms> <videos>sample string 9</videos> <youtubeVideo>sample string 10</youtubeVideo> </tbl_projectApartment>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, text/javascript, application/javascript, application/json-p
Sample:
Sample not available.